# Case Study Page

Detailed project case study with challenge/solution/results sections. Includes hero image, gallery, project details sidebar, and share buttons.

## Files

| Target | Type |
|--------|------|
| `$modules$/case-study-page/case-study-page.tsx` | component |
| `$modules$/case-study-page/index.ts` | index |
| `$modules$/case-study-page/lang/en.json` | lang |
| `$modules$/case-study-page/lang/tr.json` | lang |
| `$modules$/case-study-page/lang/pt.json` | lang |

## Exports

**Components/Functions:** `CaseStudyPage`, `default`

```typescript
import { CaseStudyPage, default } from '@/modules/case-study-page';
```

## Usage

```
import { CaseStudyPage } from '@/modules/case-study-page';

<CaseStudyPage />

• Installed at: src/modules/case-study-page/
• Customize content: lang/en/case-study-page.json
• Props: title, heroImage, gallery[], challenge, solution, results, details
```

## Dependencies

This component requires:
- `button`
- `animations`
- `share-buttons`
